create or edit a team.md
Create or Edit a Team
Management API · Teams
PUT https://app.mk.io/api/v1/organization/teams/{team_name}
Create a new team with a unique name, or Edit an existing team.
RBAC Capability Required: core.team.create
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
team_name |
string | Yes | — |
Request body
Content type: application/json
spec· object · Required — Team specification.description· string · Optional · 0-256 characters — A description of the team.members· map from strings to object · Optional — The list of members.[any key]· object — map of additional propertiesisTeamAdmin· boolean · Required — Does this user have the ability to edit this team
scopes· map from strings to object · Optional — The set of scopes this team has access to, and the roles on each.[any key]· object — map of additional propertiesroles· list of strings · Required — The names of the roles.- Array items (string):
Example request
curl -X PUT "https://app.mk.io/api/v1/organization/teams/{team_name}" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"spec": {
"description": "A description of the Team",
"members": {},
"scopes": {}
}
}'
Responses
200 — Updated
kind· string · Optional — The kind of record.metadata· object · Required — Team metadata.id· string · Required · format: uuid — The ID of the resourcename· string · Optional — The name of the resource
spec· object · Required — Team specification.description· string · Optional · 0-256 characters — A description of the team.members· map from strings to object · Optional — The list of members.[any key]· object — map of additional propertiesemail· string · Required — The email address of the team memberisTeamAdmin· boolean · Required — Does this user have the ability to edit this teamname· string · Required — The name of the team member
scopes· map from strings to object · Optional — The set of scopes this team has access to, and the roles on each.[any key]· object — map of additional propertiesroles· list of strings · Required — The names of the roles.- Array items (string):
201 — Created
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code